from typing import Dict, Optional


class ParamEntity:
    def __init__(self, method: str, status: str, format: str, query_map: Optional[Dict[str, str]] = None):
        self.method = method
        self.status = status
        self.format = format
        self.query_map = query_map or {}

    def get_method(self) -> str:
        return self.method

    def set_method(self, method: str):
        self.method = method

    def get_status(self) -> str:
        return self.status

    def set_status(self, status: str):
        self.status = status

    def get_format(self) -> str:
        return self.format

    def set_format(self, format: str):
        self.format = format

    def get_query_map(self) -> Dict[str, str]:
        return self.query_map

    def set_query_map(self, query_map: Dict[str, str]):
        self.query_map = query_map

